ORLE-FB
1
BRL-CAD
BRL-CAD

# orle-fb

decode old run-length encoded image onto a frame buffer

      orle-fb
        -Otdv
        -b rgbwBG
        -F framebuffer
        -p xy
        file.rle

## DESCRIPTION

orle-fb decodes an old, Edition-2 University of Utah standard Run-Length Encoded (RLE) format file (saved with fb-orle 1 or a similar program) to a frame buffer device or a file. If file.rle is not specified, standard input is read. orle-fb determines the type and size of the saved file (color or B&W) and acts accordingly. The environment variable `FB_FILE` is used to select the display device (see brlcad(1)). If this variable is not set, the default device for your system will be used.

`-t`

  Alters the normal bottom-up display order to be top-down. This option can be useful when the image contains accompanying text. Note that the image is inverted in memory, using as large a buffer as malloc(3) will permit. This means that the entire image will be decoded before output will begin appearing.

`-d`

  Debug option, provides verbose description of file structure and processes called, written on standard error.

`-v`

  Provides a verbose description of the parameters of the saved image on standard error.

`-O`

  Restores the image data in overlay mode. Only areas of the original image which were not the background color are decoded. The rest of the image already in the frame buffer is undisturbed. Note that this mode uses twice as many DMAs to the frame buffer as the normal mode, as the previous image must be read back into the host.

`-b` x

  If the image is not being decoded in overlay mode, the background is normally set to the value recorded in the RLE file. This option permits the user to specify an alternate background color from a limited set of colors. The character x can be any of r (red), g (green), b (blue), w (white), B (black), or G (18% grey).

`-p` x y

  Reposition the image. The original lower left corner is positioned at (x, y) before restoring the image. Warning: a saved image should not be repositioned so that any saved data wraps around the X borders. If the input image is 512x512, and it is repositioned, the framebuffer will be opened in 1024x1024 mode.

`-F framebuffer`

  indicates that the output should be sent to the indicated framebuffer. See libfb 3 for more details on the specification of a framebuffer.

file.rle

  Name of file to decode, in old RLE format.

## EXAMPLES

> orle-fb  truck.rle orle-fb  -Ot  text.rle orle-fb  -bG  <car.rle

## SEE ALSO

brlcad 1, rle-fb 1, fb-rle 1, rle-pix 1, pix-rle 1, librle 3, liborle 3.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1986-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.